<?xml version="1.0"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd"
>

<hibernate-mapping default-cascade="all">
    <class entity-name="allergyAssessmentDelete40030" table="ALLERGY_ASSESSMENT30_V" node="allergyAssessments" >
        <id name="id" type="java.lang.Long">
            <column name="ALLERGY_ASSESSMENT_ID" />
            <generator class="sequence" >
				<param name="sequence">allergy_assessment_seq_id</param>
			</generator>
        </id>
        
        <component name="recordIdentifier" node="recordIdentifier" >
            <property name="identity" column="RECORDIDENTIFIER_IDENTITY" type="java.lang.String" node="identity" />
            <property name="namespaceId" column="RECORDIDENTIFIER_NAMESPACEID" type="java.lang.String" node="namespaceId" />
            <property name="universalId" column="RECORDIDENTIFIER_UNIVERSALID" type="java.lang.String" node="universalId" />
            <property name="universalIdType" column="RECORDIDENTIFIER_UNIVERSTYP" type="java.lang.String" node="universalIdType" />
        </component>

		<property name="recordVersion" column="RECORD_VERSION" type="integer" node="recordVersion" />
    
		<property name="requestId" column="REQUEST_ID" type="java.lang.String"/>
    </class>

    <query name="AllergyAssessmentDelete40030.AllergyAssessment.patient.identifiers">
		<![CDATA[
		from allergyAssessmentDelete40030 aa
		where aa.recordIdentifier.identity || '/' || aa.recordIdentifier.namespaceId || '/' ||
		aa.recordIdentifier.universalId || '/' || aa.recordIdentifier.universalIdType in ( :recordIdentifiers )
      ]]>
	</query>

</hibernate-mapping>
